#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAD,0x56,0x71,0x29,0x7F,0x2C,0xAC,0x13,0x2C,0x26,0xB5,0x20,
		0x16,0xDE,0x8B,0xBE,0xEC,0xFD,0x4F,0xCD,0xD4,0x64,0xEC,0x9B,
		0xF3,0xF1,0xC0,0x00,0xED,0x45,0x4E,0x2E,0x82,0xB4,0xD6,0x83,
		0x01,0x2B,0x4C,0x8D,0xB9,0x68,0x41,0x1D,0xBD,0xB1,0x96,0xD2,
		0x83,0x37,0xC4,0xFB,0xF9,0x49,0x6B,0xF5,0x47,0xFC,0x52,0x9F,
		0xB5,0x12,0x1F,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
